"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _Dimen = require("../../../utils/Dimen");

var _color = require("../../../utils/color");

var _Utils = require("../../../utils/Utils");

const {
  width
} = _reactNative.Dimensions.get('window');

var _default = _reactNative.StyleSheet.create({
  container: (backgroundColor, noClaim) => ({
    paddingTop: _Dimen.DP._16,
    paddingHorizontal: _Dimen.DP._12,
    paddingBottom: _Dimen.DP._12,
    borderRadius: _Dimen.DP._12,
    backgroundColor: backgroundColor,
    ...(noClaim ? {
      width: 0.4222 * width
    } : {
      minWidth: 0.4222 * width
    }),
    ..._Utils.shadowObj
  }),
  containerSecondary: {
    paddingTop: _Dimen.DP._24,
    paddingHorizontal: _Dimen.DP._16,
    paddingBottom: _Dimen.DP._16,
    marginRight: _Dimen.DP._8
  },
  quantity: {
    fontSize: _Dimen.DP._18,
    color: 'white',
    marginBottom: _Dimen.DP._8
  },
  title: {
    color: 'white',
    marginBottom: _Dimen.DP._8,
    fontSize: _Dimen.DP._14,
    lineHeight: _Dimen.DP._18
  },
  amount: {
    fontSize: _Dimen.DP._20,
    color: 'white'
  },
  amountSecondary: {
    fontSize: _Dimen.DP._28,
    color: 'white',
    marginBottom: _Dimen.DP._24
  },
  lowerCase: {
    textTransform: 'lowercase'
  },
  claimsText: {
    color: 'white',
    fontSize: _Dimen.DP._14,
    lineHeight: _Dimen.DP._18,
    textTransform: 'capitalize'
  },
  dateText: {
    fontSize: _Dimen.DP._12,
    color: 'white',
    borderRadius: _Dimen.DP._7,
    paddingHorizontal: _Dimen.DP._3,
    backgroundColor: '#0000001a',
    overflow: 'hidden'
  },
  dateAndArrowContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    marginTop: _Dimen.DP._16,
    justifyContent: 'space-between',
    height: _Dimen.DP._18
  },
  Flex: {
    flex: 1
  },
  amountContainer: {
    flexDirection: 'row',
    justifyContent: 'space-between'
  },
  color_White: {
    color: 'white'
  }
});

exports.default = _default;
//# sourceMappingURL=Styles.js.map