"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

var _Dimen = require("../../../utils/Dimen");

var _Utils = require("../../../utils/Utils");

const {
  width
} = _reactNative.Dimensions.get('window');

var _default = _reactNative.StyleSheet.create({
  container: {
    width: 0.539 * width,
    height: _Dimen.DP._144,
    backgroundColor: 'white',
    padding: _Dimen.DP._16,
    borderRadius: _Dimen.DP._12,
    justifyContent: 'space-between',
    borderWidth: _Dimen.DP._0_5,
    borderColor: 'grey',
    marginVertical: _Dimen.DP._10,
    ..._Utils.shadowObj
  },
  message: isRead => ({
    color: isRead ? 'grey' : 'black',
    fontSize: _Dimen.DP._14,
    lineHeight: _Dimen.DP._21
  }),
  date: isRead => ({
    marginBottom: _Dimen.DP._5,
    color: isRead ? 'grey' : 'black',
    fontSize: _Dimen.DP._12,
    marginTop: _Dimen.DP._10
  }),
  arrowContainer: {
    position: 'absolute',
    padding: _Dimen.DP._4,
    bottom: _Dimen.DP._16,
    right: 0,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'lightblue',
    borderTopLeftRadius: _Dimen.DP._11,
    borderBottomLeftRadius: _Dimen.DP._11
  }
});

exports.default = _default;
//# sourceMappingURL=Styles.js.map