"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Feather = _interopRequireDefault(require("react-native-vector-icons/Feather"));

var _Styles = _interopRequireDefault(require("./Styles"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MessageCard = _ref => {
  let {
    isRead,
    dateTime,
    onPress,
    title,
    tagsStrippedBody
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: _Styles.default.container,
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    type: isRead ? 'regular' : 'medium',
    style: _Styles.default.message(isRead),
    numberOfLines: 4,
    ellipsizeMode: 'tail'
  }, `${title}: ${tagsStrippedBody}`), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _Styles.default.date(isRead)
  }, dateTime), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _Styles.default.arrowContainer
  }, /*#__PURE__*/_react.default.createElement(_Feather.default, {
    name: "arrow-right",
    size: 16,
    color: 'blue'
  })));
};

var _default = MessageCard;
exports.default = _default;
MessageCard.propTypes = {
  isRead: _propTypes.default.bool,
  dateTime: _propTypes.default.string,
  onPress: _propTypes.default.func,
  title: _propTypes.default.string,
  tagsStrippedBody: _propTypes.default.string
};
//# sourceMappingURL=index.js.map