"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Feather = _interopRequireDefault(require("react-native-vector-icons/Feather"));

var _messageCard = _interopRequireDefault(require("../messageCard"));

var _Styles = _interopRequireDefault(require("./Styles"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _data = require("./data");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const MessageList = _ref => {
  let {
    data,
    onViewAll,
    onPress,
    showViewAllButton
  } = _ref;

  const ViewAllButton = () => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      style: _Styles.default.viewAllButtonContainer,
      onPress: onViewAll
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: _Styles.default.viewAllText
    }, "View all"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _Styles.default.arrow
    }, /*#__PURE__*/_react.default.createElement(_Feather.default, {
      name: "arrow-right",
      size: 16,
      color: 'blue'
    }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _Styles.default.blueBackground
    })));
  };

  return /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: data,
    renderItem: _ref2 => {
      let {
        item,
        index
      } = _ref2;
      return /*#__PURE__*/_react.default.createElement(_messageCard.default, {
        isRead: item.read,
        title: item.title,
        tagsStrippedBody: item.tagsStrippedBody,
        dateTime: item.date,
        onPress: () => onPress(item, index)
      });
    },
    keyExtractor: item => item.id,
    ItemSeparatorComponent: () => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _Styles.default.separator
    }),
    horizontal: true,
    ListFooterComponent: () => showViewAllButton ? /*#__PURE__*/_react.default.createElement(ViewAllButton, null) : null,
    ListHeaderComponent: () => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: _Styles.default.separator
    }),
    showsHorizontalScrollIndicator: false,
    contentContainerStyle: _Styles.default.listContentStyle
  });
};

var _default = MessageList;
exports.default = _default;
MessageList.propTypes = {
  data: _propTypes.default.arrayOf(_propTypes.default.object),
  onViewAll: _propTypes.default.func,
  onPress: _propTypes.default.func,
  showViewAllButton: _propTypes.default.bool
};
MessageList.defaultProps = {
  data: _data.Data,
  onViewAll: () => console.log('view all button pressed'),
  onPress: item => console.log('message pressed', item),
  showViewAllButton: true
};
//# sourceMappingURL=index.js.map