import React from 'react';
import { Text as FText, TouchableOpacity as FTouchableOpacity } from 'react-native';
import Styles from './Styles';
import { View } from 'react-native';
import PropTypes from 'prop-types';

const ClaimsTile = _ref => {
  let {
    type,
    onPress,
    disabled,
    quantity,
    amount,
    cardColor,
    noClaim,
    cardTitle,
    subText,
    style,
    date
  } = _ref;
  return /*#__PURE__*/React.createElement(React.Fragment, null, type === 'small' && /*#__PURE__*/React.createElement(FTouchableOpacity, {
    style: [Styles.container(cardColor), style],
    onPress: onPress,
    disabled: disabled
  }, /*#__PURE__*/React.createElement(FText, {
    type: "medium",
    style: Styles.quantity
  }, quantity), /*#__PURE__*/React.createElement(FText, {
    style: Styles.title
  }, subText), /*#__PURE__*/React.createElement(View, {
    style: Styles.amountContainer
  }, /*#__PURE__*/React.createElement(FText, {
    type: "medium",
    style: Styles.amount
  }, amount))), type === 'large' && /*#__PURE__*/React.createElement(FTouchableOpacity, {
    style: [Styles.container(cardColor, noClaim), Styles.containerSecondary],
    onPress: onPress,
    disabled: disabled
  }, noClaim ? null : /*#__PURE__*/React.createElement(React.Fragment, null, amount ? /*#__PURE__*/React.createElement(FText, {
    type: "medium",
    style: Styles.amountSecondary
  }, amount) : /*#__PURE__*/React.createElement(FText, {
    type: "medium",
    style: Styles.amountSecondary
  }, quantity)), noClaim ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(FText, {
    style: [Styles.title]
  }, /*#__PURE__*/React.createElement(FText, {
    style: Styles.color_White,
    type: "semiBold"
  }, "Add"), ' ', "your first expense claim")) : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(FText, {
    type: "semiBold",
    style: Styles.claimsText
  }, cardTitle), /*#__PURE__*/React.createElement(FText, {
    style: [Styles.title, Styles.lowerCase]
  }, subText)), /*#__PURE__*/React.createElement(View, {
    style: Styles.dateAndArrowContainer
  }, date && /*#__PURE__*/React.createElement(FText, {
    type: 'medium',
    style: Styles.dateText
  }, date)))));
};

export default ClaimsTile;
ClaimsTile.propTypes = {
  type: PropTypes.oneOf(['small', 'large']),
  onPress: PropTypes.func,
  disabled: PropTypes.bool,
  quantity: PropTypes.string,
  amount: PropTypes.string,
  cardColor: PropTypes.string,
  noClaim: PropTypes.bool,
  cardTitle: PropTypes.string,
  subText: PropTypes.string,
  style: PropTypes.object,
  date: PropTypes.string
};
//# sourceMappingURL=index.js.map