import React from 'react';
import { View, Text as FText, TouchableOpacity as FTouchableOpacity } from 'react-native';
import Feather from 'react-native-vector-icons/Feather';
import Styles from './Styles';
import PropTypes from 'prop-types';

const MessageCard = _ref => {
  let {
    isRead,
    dateTime,
    onPress,
    title,
    tagsStrippedBody
  } = _ref;
  return /*#__PURE__*/React.createElement(FTouchableOpacity, {
    style: Styles.container,
    onPress: onPress
  }, /*#__PURE__*/React.createElement(FText, {
    type: isRead ? 'regular' : 'medium',
    style: Styles.message(isRead),
    numberOfLines: 4,
    ellipsizeMode: 'tail'
  }, `${title}: ${tagsStrippedBody}`), /*#__PURE__*/React.createElement(FText, {
    style: Styles.date(isRead)
  }, dateTime), /*#__PURE__*/React.createElement(View, {
    style: Styles.arrowContainer
  }, /*#__PURE__*/React.createElement(Feather, {
    name: "arrow-right",
    size: 16,
    color: 'blue'
  })));
};

export default MessageCard;
MessageCard.propTypes = {
  isRead: PropTypes.bool,
  dateTime: PropTypes.string,
  onPress: PropTypes.func,
  title: PropTypes.string,
  tagsStrippedBody: PropTypes.string
};
//# sourceMappingURL=index.js.map